@echo off

setlocal

rem root of mingw installation; modify as required
rem set mingw=c:\codeblocks\MinGW
set mingw=x:\mingw

path %mingw%\bin;%path%


set CCFLAGS=-g -O0 -D _WIN32_IE=0x0500 -D WINVER=0x510 -municode -Wall -mwindows -fms-extensions
set LDFLAGS=-Wl,-subsystem,windows -municode -static-libgcc -static-libstdc++

rem the set of libraries may be a matter of trial and error
rem set LDLIBS=-lshlwapi -lmsvcrt -lole32 -lgdi32 -ladvapi32
rem set LDLIBS=-lgdi32 -luser32 -lkernel32 -lcomctl32
set LDLIBS=-lshlwapi -lmsvcrt -ladvapi32

echo 1 ICON "tlmgr.ico">tlmgr-gui.rc
windres tlmgr-gui.rc tlmgr-gui-rc.o
gcc %CCFLAGS% -c -o tlmgr-gui.o tlmgr-gui.c
c++ tlmgr-gui.o tlmgr-gui-rc.o %LDFLAGS% %LDLIBS% -o tlmgr-gui.exe

rem for a smaller exe:
rem strip tlmgr-gui.exe
endlocal
